<?php
/**
 * Created by PhpStorm.
 * User: Joseg
 * Date: 28/5/2018
 * Time: 8:16 PM
 */

include '../comun/validarSesion.php';

if (isset($_REQUEST['token'])) {
        $Valido = new validator();
        if ($Valido->checkToken($_REQUEST['token'])){
            if (isset($_REQUEST['idSeguridad']) && isset($_REQUEST['idCaseta'])) {
                if ($Valido->validarPermiso($_REQUEST['idSeguridad'],5)){
                    $encontrarSeguridad  = R::findOne( 'seguridadcaseta', ' id_seguridad = ? ', [ $_REQUEST['idSeguridad'] ] );
                    if (sizeof($encontrarSeguridad) == 0){
                        $creadoPor = $Valido->retornarIdToken($_REQUEST['token']);
                        $condominio = $Valido->retornarDatos($creadoPor);
                        $seguridadcaseta = R::dispense('seguridadcaseta');
                        $seguridadcaseta->id_seguridad = $_REQUEST['idSeguridad'];
                        $seguridadcaseta->id_caseta = $_REQUEST['idCaseta'];
                        $seguridadcaseta->id_autor = $creadoPor;
                        $seguridadcaseta->fechaRegistro = date('Y-m-d H:i:s');
                        $seguridadcaseta->fechaModificacion = date('Y-m-d H:i:s');
                        $seguridadcaseta->estado = 1;
                        $id = R::store($seguridadcaseta);
                        include '../comun/mensajeCreado.php';

                    }else{
                        $id= $encontrarSeguridad["id"];
                        $seguridadCas = R::load('seguridadcaseta', $id);
                        $seguridadCas->id_seguridad = $_REQUEST['idSeguridad'];
                        $seguridadCas->id_caseta = $_REQUEST['idCaseta'];
                        $seguridadCas->fechaModificacion = date('Y-m-d H:i:s');
                        $id = R::store($seguridadCas);
                        include '../comun/mensajeModificado.php';

                    }



                }else{
                    include '../comun/mensajeNoCorresponde.php';
                }
            }else{
                include '../comun/mensajeFaltanCampos.php';
            }
        }else{
            include '../comun/mensajeDatosInvalidos.php';
        }
    }else{
        include '../comun/mensajeSesionInvalida.php';
    }